csdoc2hier(1)

NAME
csdoc2hier - convert C# documentation into a hierarchy diagram

SYNOPSIS
csdoc2hier [ options ] input ...

DESCRIPTION
Csdoc2hier reads the supplied XML input files, and converts them into a diagram of the type hierarchy. Specifying multiple input files is exactly the same as specifying one input file which is the concatenation of all of the files. Only one output collection is created. Csdoc2hier must be invoked multiple times to convert multiple input files into multiple output collections.

OPTIONS

-o name, --output name
    Specify the name of the output file. If not specified, the default is standard output.

-fby-library
    Organise the output by library instead of by class name.

--help
    Print a usage message for the csdoc2hier program.

-v, --version
    Print the version of the csdoc2hier program.

--  Marks the end of the command-line options, and the beginning of the input filenames. You may need to use this if your filename begins with '-'. e.g. "csdoc2hier -- -input.xml". This is not needed if the input is stdin: "csdoc2hier -" is perfectly valid.

AUTHOR
Written by Southern Storm Software, Pty Ltd. http://www.southern-storm.com.au/

SEE ALSO
csdoc(1), csdoc2html(1)

DIAGNOSTICS
Exit status is 1 if an error occurred while processing the input. Otherwise the exit status is 0.